सामग्री पर जाएँ

Flux 2 Flex · Edit

इंटीग्रेट करें

मॉडल id flux-2-flex/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flux-2-flex/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.334 334 API क्रेडिट · ≈ ₽35.22 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

Flex का एडिट वैरिएंट, जो एक या अधिक संदर्भ इमेज का उपयोग करके प्रॉम्प्ट से इमेज बदलता है

Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

संपादित की जाने वाली इनपुट इमेज की पहचान करने वाले URL।

image_size डिफ़ॉल्ट auto

इमेज आकार चुनने का विकल्प: `auto` आउटपुट आयाम मॉडल को सौंपता है।

उन्नत safety_tolerance · output_format · guidance_scale · num_inference_steps · seed · enable_safety_checker
safety_tolerance डिफ़ॉल्ट 2

निर्मित-इमेज सुरक्षा सेटिंग, जिसकी सहनशीलता maximum permissiveness at 5 से maximum strictness at 1 तक होती है।

output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 3.5

निर्माण के दौरान लागू किया गया गाइडेंस स्केल।

डिफ़ॉल्ट 28

चलाए जाने वाले inference चरणों की संख्या।

निर्माण के लिए seed मान।

POST /run/flux-2-flex/edit?wait=20 कोटेशन → $0.334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flux-2-flex/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux 2 Flex · Edit के बारे में

`prompt` और `image_urls` में स्रोत छवियों की सूची का उपयोग करके मौजूदा चित्रों को संपादित करता है, इसलिए कई संदर्भ एक परिणाम का मार्गदर्शन कर सकते हैं। `image_size` का डिफ़ॉल्ट auto है, जिससे मॉडल आयाम चुनता है, या आप कोई प्रीसेट चुन सकते हैं। इसमें `num_inference_steps` (2 से 50) और `guidance_scale` (1.5 से 10) भी उपलब्ध हैं, साथ में jpeg या png आउटपुट।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टauto
autosquare_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
इमेज आकार चुनने का विकल्प: `auto` आउटपुट आयाम मॉडल को सौंपता है।
seedवैकल्पिक
प्रकारinteger | null
निर्माण के लिए seed मान।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2
12345
निर्मित-इमेज सुरक्षा सेटिंग, जिसकी सहनशीलता maximum permissiveness at 5 से maximum strictness at 1 तक होती है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा-जाँच स्विच, जिसकी off सेटिंग केवल अधिकृत खातों के लिए मान्य होती है। उस प्राधिकरण के बिना सभी अनुरोधों की सुरक्षा-जाँच की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
image_urlsआवश्यक images
प्रकारurl[] · image
संपादित की जाने वाली इनपुट इमेज की पहचान करने वाले URL।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
1.5 – 10
निर्माण के दौरान लागू किया गया गाइडेंस स्केल।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
2 – 50
चलाए जाने वाले inference चरणों की संख्या।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-flex/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 334,
    "usd": "0.334",
    "charged": 334,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}मॉडल द्वारा बनाई गई इमेज।
seed
integerनिर्माण के दौरान उपयोग किया गया seed मान।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-2-flex/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt